=== debian/changelog ===
naspro-bridges-bad (0.2.0-2) unstable; urgency=low

  * Force the inclusion of -I/usr/include/rasqal to fix the build
    failure with GCC4.5.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Dec 2010 12:25:43 +0100

naspro-bridges-bad (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #594075).

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Oct 2010 11:27:26 +0200
