=== debian/control ===
Source: naspro-bridges-bad
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7),
 cmake,
 dssi-dev,
 lv2core,
 libnacore-dev,
 ladspa-sdk,
 pkg-config,
 libasound2-dev,
 librdf0-dev
Standards-Version: 3.9.1
Homepage: http://naspro.atheme.org/naspro-bridges/about
Vcs-Git: git://git.debian.org/pkg-multimedia/naspro-bridges-bad.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/naspro-bridges-bad.git

Package: naspro-bridges-bad
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: The "bad" NASPRO bridges
 This is a collection of <API>-to-LV2 bridges which work fine,
 but do not completely support the original APIs.
 .
 This release contains two such bridges: a LADSPA (+ LRDF) and a
 DSSI one.
 .
 The LADSPA bridge supports every feature of LADSPA and LRDF except:
  * run_adding() and set_run_adding_gain().
  * LRDF factory presets.
 .
 The DSSI bridge does not support:
  * GUIs;
  * MIDI programs;
  * maximum number of events per run_synth() - it is 4096, should be
    enough in most cases;
  * run_synth_adding() - as before;
  * run_multiple_synths() and run_multiple_synths_adding() - no
    extension to do that and it may also be impossible to support
    those.
